Paho Asynchronous MQTT C Client Library: MQTTAsync_successData5 Struct Reference

| Paho Asynchronous MQTT C Client Library

Loading...
Searching...
No Matches
Data Fields
MQTTAsync_successData5 Struct Reference

`#include <MQTTAsync.h>`

## Data Fields
char | struct_id [4]
int | struct_version
MQTTAsync_token | token
enum MQTTReasonCodes | reasonCode
MQTTProperties | properties
union { |
struct { |
int reasonCodeCount |
enum MQTTReasonCodes * reasonCodes |
} sub
struct { |
MQTTAsync_message message |
char * destinationName |
} pub
struct { |
char * serverURI |
int MQTTVersion |
int sessionPresent |
} connect
struct { |
int reasonCodeCount |
enum MQTTReasonCodes * reasonCodes |
} unsub
} | alt

## Detailed Description

The data returned on completion of a successful API call in the response callback onSuccess.

## Field Documentation

## ◆ struct_id

char struct_id[4]

The eyecatcher for this structure. Will be MQSD.

## ◆ struct_version

int struct_version

The version number of this structure. Will be 0

## ◆ token

MQTTAsync_token token

A token identifying the successful request. Can be used to refer to the request later.

## ◆ reasonCode

enum MQTTReasonCodes reasonCode

MQTT V5 reason code returned

## ◆ properties

MQTTProperties properties

MQTT V5 properties returned, if any

## ◆ reasonCodeCount

int reasonCodeCount

the number of reason codes in the reasonCodes array

## ◆ reasonCodes

enum MQTTReasonCodes* reasonCodes

an array of reasonCodes

## ◆ [struct]

struct { ... } sub

For subscribeMany, the list of reasonCodes returned by the server.

## ◆ message

MQTTAsync_message message

the message being sent to the server

## ◆ destinationName

char* destinationName

the topic destination for the message

## ◆ [struct]

struct { ... } pub

For publish, the message being sent to the server.

## ◆ serverURI

char* serverURI

the connection string of the server

## ◆ MQTTVersion

int MQTTVersion

the version of MQTT being used

## ◆ sessionPresent

int sessionPresent

the session present flag returned from the server

## ◆ [struct]

struct { ... } connect

## ◆ [struct]

struct { ... } unsub

For unsubscribeMany, the list of reasonCodes returned by the server.

## ◆ [union]

union { ... } alt

A union of the different values that can be returned for subscribe, unsubscribe and publish.

The documentation for this struct was generated from the following file:

- MQTTAsync.h